Subject: Re: [Bonding-announce] [PATCH SET][bonding] cleanup

From: Shmulik Hen <[email-masked]>
Date: Thu, 25 Sep 2003 20:43:40 +0300

On Thursday 25 September 2003 08:33 pm, Jay Vosburgh wrote:
>
> 	Separately, recent ifenslaves have compatibility code within
> them to cover the great "ifenslave calling sequence change" from
> April or so.  As much as I love the sleek new slimmed down
> ifenslave, I'm not absolutely sure we can nuke that compatibility
> stuff within ifenslave.  I really, really wanna, but I'm not sure
> if it will cause problems for end users.  This is the upgrade
> scenario that prompted the creation of the whole "ABI version" and
> compat stuff in the first place; if we don't have to worry about
> that, then the simpler ifenslave can be used, and I think the
> ethtool ABI version hack can go away (since we wouldn't need an ABI
> version if there's only one).
>
> 	Comments?
>

I think I better leave this for Amir to answer. He's our ABI expert 
and this needs carefull consideration, especially now that he's 
working on enhancing ifenslave's capabilities for the hot operation 
stuff. However, he won't be able to do that before Monday since we're 
going out on a long weekend - it's holiday season over here.

-- 
| Shmulik Hen   Advanced Network Services  |
| Israel Design Center, Jerusalem          |
| LAN Access Division, Platform Networking |
| Intel Communications Group, Intel corp.  |